## uid-wrapper 1.0.1

=== CMakeLists.txt ===
project(uid_wrapper C)

# Required cmake version
cmake_minimum_required(VERSION 2.8.0)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "0")
set(APPLICATION_VERSION_PATCH "1")

set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

# SOVERSION scheme: CURRENT.AGE.REVISION
#   If there was an incompatible interface change:
#     Increment CURRENT. Set AGE and REVISION to 0
#   If there was a compatible interface change:
#     Increment AGE. Set REVISION to 0
#   If the source code was changed, but there were no interface changes:
#     Increment REVISION.
set(LIBRARY_VERSION "0.0.1")
set(LIBRARY_SOVERSION "0")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefinePlatformDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# Find out if we have threading available
set(CMAKE_THREAD_PREFER_PTHREADS ON)
find_package(Threads)

# config.h checks
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# check subdirectories
add_subdirectory(src)

if (UNIT_TESTING)
    find_package(CMocka REQUIRED)
    include(AddCMockaTest)
    add_subdirectory(tests)
endif (UNIT_TESTING)

# pkg-config file
get_filename_component(UID_WRAPPER_LIB ${UID_WRAPPER_LOCATION} NAME)

configure_file(uid_wrapper.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper.pc @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper.pc
  DESTINATION
    ${LIB_INSTALL_DIR}/pkgconfig
  COMPONENT
    pkgconfig
)

# cmake config files
configure_file(uid_wrapper-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config-version.cmake @ONLY)
configure_file(uid_wrapper-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config.cmake @ONLY)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config-version.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config.cmake
    DESTINATION
        ${CMAKE_INSTALL_DIR}
    COMPONENT
        devel
)

=== src/CMakeLists.txt ===
project(libuid_wrapper C)

include_directories(${CMAKE_BINARY_DIR})
add_library(uid_wrapper SHARED uid_wrapper.c)
target_link_libraries(uid_wrapper ${UIDWRAP_REQUIRED_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

set_target_properties(
  uid_wrapper
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)

install(
  TARGETS
    uid_wrapper
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

# This needs to be at the end
get_target_property(UWRAP_LOCATION uid_wrapper LOCATION)
set(UID_WRAPPER_LOCATION ${UWRAP_LOCATION} PARENT_SCOPE)

=== debian/changelog ===
uid-wrapper (1.0.1-1) unstable; urgency=low

  * Initial release. Closes: #755557

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 Jul 2014 02:46:19 +0200

=== debian/control ===
Source: uid-wrapper
Homepage: http://cwrap.org/uid_wrapper.html
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: cmake (>= 2.8.8-3~),
               debhelper (>= 9),
               dh-buildinfo,
               libcmocka-dev
XS-Testsuite: autopkgtest
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/users/jelmer/uid-wrapper.git -b unstable

Package: libuid-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UID wrapper library
 This is a wrapper for the user, group and hosts NSS API that can
 simulate uid switching as a regular user. This is useful for
 testsuites that run as a regular user but need to test
 priveleged functions.
 .
 It works as a preload library, which overrides various
 system functions.

## uid-wrapper 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(APPLICATION_VERSION_MAJOR "1")
 set(APPLICATION_VERSION_MINOR "0")
-set(APPLICATION_VERSION_PATCH "1")
+set(APPLICATION_VERSION_PATCH "2")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
@@ -19,7 +19,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.0.1")
+set(LIBRARY_VERSION "0.0.2")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -77,7 +77,9 @@
         ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config-version.cmake
         ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config.cmake
     DESTINATION
-        ${CMAKE_INSTALL_DIR}
+        ${CMAKE_INSTALL_DIR}/uid_wrapper
     COMPONENT
         devel
 )
+
+add_subdirectory(doc)

=== tests/CMakeLists.txt ===
project(tests C)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMOCKA_INCLUDE_DIR}
)

if (OSX)
    set(TEST_ENVIRONMENT DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${UID_WRAPPER_LOCATION};UID_WRAPPER=1)
else ()
    set(TEST_ENVIRONMENT LD_PRELOAD=${UID_WRAPPER_LOCATION};UID_WRAPPER=1)
endif ()

add_cmocka_test(testsuite testsuite.c ${CMOCKA_LIBRARY})
set_property(
    TEST
        testsuite
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT})

add_library(uwrap_enabled SHARED uwrap_enabled.c)
add_cmocka_test(test_uwrap_enabled test_uwrap_enabled.c ${CMOCKA_LIBRARY} uwrap_enabled)
set_property(
    TEST
        test_uwrap_enabled
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT})

if (LINUX)
add_cmocka_test(test_glibc_thread_support test_glibc_thread_support.c ${CMOCKA_LIBRARY})
target_link_libraries(test_glibc_thread_support ${CMAKE_THREAD_LIBS_INIT})
set_property(
    TEST
        test_glibc_thread_support
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT})
endif(LINUX)

if (LINUX)
    add_executable(getuids getuids.c)
endif (LINUX)

add_cmocka_test(test_uwrap_disabled test_uwrap_disabled.c ${CMOCKA_LIBRARY})
set_property(
    TEST
        test_uwrap_disabled
    PROPERTY
        ENVIRONMENT LD_PRELOAD=${CMAKE_BINARY_DIR}/src/libuid_wrapper.so)

=== debian/changelog ===
uid-wrapper (1.0.2-2) unstable; urgency=medium

  * Add patch remove-access.patch: remove use of SYS_access not
    available on ARM64. Closes: #770307
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 22 Nov 2014 11:48:26 +0000

uid-wrapper (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 08 Aug 2014 21:07:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/users/jelmer/uid-wrapper.git -b unstable
 
 Package: libuid-wrapper

=== debian/watch ===
version=3
https://ftp.samba.org/pub/cwrap/ uid_wrapper-([0-9.]+)[.]tar[.]gz

## uid-wrapper 1.2.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "0")
-set(APPLICATION_VERSION_PATCH "2")
+set(APPLICATION_VERSION_MINOR "2")
+set(APPLICATION_VERSION_PATCH "0")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
@@ -19,7 +19,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.0.2")
+set(LIBRARY_VERSION "0.0.5")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,5 +22,8 @@
 )
 
 # This needs to be at the end
+if (POLICY CMP0026)
+    cmake_policy(SET CMP0026 OLD)
+endif()
 get_target_property(UWRAP_LOCATION uid_wrapper LOCATION)
 set(UID_WRAPPER_LOCATION ${UWRAP_LOCATION} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
project(tests C)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMOCKA_INCLUDE_DIR}
)

set(PRELOAD_LIBS ${UID_WRAPPER_LOCATION})

if (OSX)
    set(TEST_ENVIRONMENT DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${PRELOAD_LIBS};UID_WRAPPER=1)
    add_definitions(-DOSX)
else ()
    set(TEST_ENVIRONMENT LD_PRELOAD=${PRELOAD_LIBS};UID_WRAPPER_ROOT=1)
endif ()

set(TESTSUITE_LIBRARIES ${UWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})

if (BSD)
    add_definitions(-DBSD)
endif (BSD)

set(UWRAP_UID_TESTS
     test_setuid
     test_seteuid)

if (HAVE_SETREUID)
    list(APPEND UWRAP_UID_TESTS test_setreuid)
endif (HAVE_SETREUID)

if (HAVE_SETRESUID)
    list(APPEND UWRAP_UID_TESTS test_setresuid test_setuid_euid1 test_setuid_euid2)
    if (HAVE_GETRESUID)
        list(APPEND UWRAP_UID_TESTS test_getresuid)
    endif (HAVE_GETRESUID)
endif (HAVE_SETRESUID)

set(UWRAP_SYSCALL_UID_TESTS
    test_syscall_setuid
    test_syscall_setreuid
    test_syscall_setresuid)

set(UWRAP_GID_TESTS
    test_setgid
    test_setegid)

if (HAVE_SETREGID)
    list(APPEND UWRAP_GID_TESTS test_setregid)
endif (HAVE_SETREGID)

if (HAVE_SETRESGID)
    list(APPEND UWRAP_GID_TESTS test_setresgid)

    if (HAVE_GETRESGID)
        list(APPEND UWRAP_GID_TESTS test_setresgid_unprivileged)
    endif (HAVE_GETRESGID)
endif (HAVE_SETRESGID)

set(UWRAP_TESTS
    ${UWRAP_UID_TESTS}
    ${UWRAP_GID_TESTS}
    test_setgroups
    test_syscall
    ${UWRAP_SYSCALL_UID_TESTS}
    test_syscall_gid)

if (HAVE_LINUX_32BIT_SYSCALLS)
    set(UWRAP_TESTS
        ${UWRAP_TESTS}
        test_syscall_setuid32
        test_syscall_setreuid32
        test_syscall_setresuid32
        test_syscall_setgid32
        test_syscall_setregid32
        test_syscall_setresgid32
        test_syscall_setgroups32)
endif (HAVE_LINUX_32BIT_SYSCALLS)

foreach(_UWRAP_TEST ${UWRAP_TESTS})
    add_cmocka_test(${_UWRAP_TEST} ${_UWRAP_TEST}.c ${TESTSUITE_LIBRARIES})

    set_property(
        TEST
            ${_UWRAP_TEST}
        PROPERTY
            ENVIRONMENT ${TEST_ENVIRONMENT};UID_WRAPPER=1)
endforeach()

# helper library implementing uid_wrapper_enabled()
add_library(uwrap_enabled SHARED uwrap_enabled.c)

add_cmocka_test(test_uwrap_enabled test_uwrap_enabled.c ${CMOCKA_LIBRARY} uwrap_enabled)
set_property(
    TEST
        test_uwrap_enabled
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT};UID_WRAPPER=1)

add_cmocka_test(test_uwrap_disabled test_uwrap_disabled.c ${CMOCKA_LIBRARY})
set_property(
    TEST
        test_uwrap_disabled
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT})

add_cmocka_test(test_thread_setuid test_thread_setuid.c ${CMOCKA_LIBRARY})
target_link_libraries(test_thread_setuid ${CMAKE_THREAD_LIBS_INIT})
set_property(
    TEST
        test_thread_setuid
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT};UID_WRAPPER=1;CMOCKA_TEST_ABORT=1)

add_cmocka_test(test_thread_setreuid test_thread_setreuid.c ${CMOCKA_LIBRARY})
target_link_libraries(test_thread_setreuid ${CMAKE_THREAD_LIBS_INIT})
set_property(
    TEST
        test_thread_setreuid
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT};UID_WRAPPER=1;CMOCKA_TEST_ABORT=1)

add_cmocka_test(test_thread_sync_setreuid test_thread_sync_setreuid.c ${CMOCKA_LIBRARY})
target_link_libraries(test_thread_sync_setreuid ${CMAKE_THREAD_LIBS_INIT})
set_property(
    TEST
        test_thread_sync_setreuid
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT};UID_WRAPPER=1;CMOCKA_TEST_ABORT=1)

add_cmocka_test(test_glibc_thread_support test_glibc_thread_support.c ${CMOCKA_LIBRARY})
target_link_libraries(test_glibc_thread_support ${CMAKE_THREAD_LIBS_INIT})
set_property(
    TEST
        test_glibc_thread_support
    PROPERTY
        ENVIRONMENT ${TEST_ENVIRONMENT};UID_WRAPPER=1)

if (LINUX)
    add_executable(getuids getuids.c)
endif (LINUX)

=== debian/changelog ===
uid-wrapper (1.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Remove fix-test-gid.diff, refresh no-soname.diff.
  * copyright, watch: Filter obj32/* from the tarball, rename source to
    match.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 16:27:44 +0200

uid-wrapper (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Change maintainer, update Vcs. (Closes: #782374)
  * patches: no-soname.diff updated, remove-access.patch removed (upstream).
  * fix-test-gid.diff: Fix a failing test.
  * control: Fix a typo in description.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2015 11:55:24 +0300

=== debian/control ===
Source: uid-wrapper
Homepage: http://cwrap.org/uid_wrapper.html
Section: devel
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: cmake (>= 2.8.8-3~),
               debhelper (>= 9),
               dh-buildinfo,
               libcmocka-dev
XS-Testsuite: autopkgtest
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-sssd/uid-wrapper.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/uid-wrapper.git

Package: libuid-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UID wrapper library
 This is a wrapper for the user, group and hosts NSS API that can
 simulate uid switching as a regular user. This is useful for
 testsuites that run as a regular user but need to test
 privileged functions.
 .
 It works as a preload library, which overrides various
 system functions.

=== debian/rules ===
#!/usr/bin/make -f

cflags = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
ldflags = $(shell dpkg-buildflags --get LDFLAGS)

cmake_options = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_BUILD_TYPE=None \
	-DCMAKE_C_FLAGS="$(cflags)" \
	-DCMAKE_SHARED_LINKER_FLAGS="$(ldflags)" \
	-DCMAKE_EXE_LINKER_FLAGS="$(ldflags)" \

ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
cmake_options += \
	-DUNIT_TESTING=1
endif

parallel = -j$(or $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),1)

.PHONY: clean
clean: debian/control
	dh_clean
	rm -rf obj

.PHONY: build build-arch build-indep
build: build-arch
build-arch: obj/stamp

obj/stamp: CMakeLists.txt
	mkdir -p obj
	cd obj && cmake $(cmake_options) ..
	$(MAKE) $(parallel) -C obj/
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	$(MAKE) -C obj/ test
endif
	touch $(@)

.PHONY: binary binary-arch binary-indep
binary: binary-arch
binary-arch: obj/stamp
	dh_testroot
	dh_prep
	$(MAKE) -C obj/ install DESTDIR=../debian/libuid-wrapper/
	rm -rf debian/*-wrapper/usr/bin/
	dh_lintian
	dh_installchangelogs
	dh_installdocs
	dh_buildinfo
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$//" \
https://ftp.samba.org/pub/cwrap/ uid_wrapper-([0-9.]+)[.]tar[.]gz

## uid-wrapper 1.2.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(APPLICATION_VERSION_MAJOR "1")
 set(APPLICATION_VERSION_MINOR "2")
-set(APPLICATION_VERSION_PATCH "0")
+set(APPLICATION_VERSION_PATCH "1")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
@@ -19,7 +19,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.0.5")
+set(LIBRARY_VERSION "0.0.6")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked

=== debian/changelog ===
uid-wrapper (1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * control: Bump policy to 3.9.8, no changes.
  * control: Use https vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Sep 2016 09:10:28 +0300

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-sssd/uid-wrapper.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/uid-wrapper.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/uid-wrapper.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sssd/uid-wrapper.git
 
 Package: libuid-wrapper
 Architecture: any

## uid-wrapper 1.2.4+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(APPLICATION_VERSION_MAJOR "1")
 set(APPLICATION_VERSION_MINOR "2")
-set(APPLICATION_VERSION_PATCH "1")
+set(APPLICATION_VERSION_PATCH "4")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

=== doc/CMakeLists.txt ===
install(FILES
            uid_wrapper.1
        DESTINATION
            ${MAN_INSTALL_DIR}/man1)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,8 @@
     add_definitions(-DBSD)
 endif (BSD)
 
+add_executable(mock_exec_uid mock_exec_uid.c)
+
 set(UWRAP_UID_TESTS
      test_setuid
      test_seteuid)
@@ -32,7 +34,7 @@
 if (HAVE_SETRESUID)
     list(APPEND UWRAP_UID_TESTS test_setresuid test_setuid_euid1 test_setuid_euid2)
     if (HAVE_GETRESUID)
-        list(APPEND UWRAP_UID_TESTS test_getresuid)
+        list(APPEND UWRAP_UID_TESTS test_getresuid test_fork_exec)
     endif (HAVE_GETRESUID)
 endif (HAVE_SETRESUID)

=== debian/changelog ===
uid-wrapper (1.2.4+dfsg1-1ubuntu1) hirsute; urgency=medium

  * Make autopkgtests cross-test-friendly: test dep on build-essential, not
    on gcc and libc-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Jan 2021 13:27:42 -0800

uid-wrapper (1.2.4+dfsg1-1build1) hirsute; urgency=medium

  * No-change rebuild to pick up i386 binary

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Nov 2020 20:59:36 +0000

uid-wrapper (1.2.4+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #894794)
  * Bump debhelper compat to 11.
  * control: Bump policy to 4.1.3.
  * control: Update vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Apr 2018 14:08:05 +0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Homepage: http://cwrap.org/uid_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: cmake (>= 2.8.8-3~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/uid-wrapper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sssd/uid-wrapper.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/sssd-team/uid-wrapper.git
+Vcs-Browser: https://salsa.debian.org/sssd-team/uid-wrapper.git
 
 Package: libuid-wrapper
 Architecture: any

=== debian/tests/control ===
Tests: tests
Depends: libuid-wrapper,
 build-essential,
 cmake (>= 2.8.8-3~),
 libcmocka-dev,
 netbase
Restrictions: allow-stderr

## uid-wrapper 1.2.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,20 @@
-project(uid_wrapper C)
+# Required cmake version
+cmake_minimum_required(VERSION 3.5.0)
+cmake_policy(SET CMP0048 NEW)
 
-# Required cmake version
-cmake_minimum_required(VERSION 2.8.0)
+# Specify search path for CMake modules to be loaded by include()
+# and find_package()
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
+
+# Add defaults for cmake
+# Those need to be set before the project() call.
+include(DefineCMakeDefaults)
+include(DefineCompilerFlags)
+
+project(uid_wrapper VERSION 1.2.8 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
-
-set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "2")
-set(APPLICATION_VERSION_PATCH "4")
-
-set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
 # SOVERSION scheme: CURRENT.AGE.REVISION
 #   If there was an incompatible interface change:
@@ -19,21 +23,15 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.0.6")
+set(LIBRARY_VERSION "0.0.9")
 set(LIBRARY_SOVERSION "0")
 
-# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH
-  ${CMAKE_SOURCE_DIR}/cmake/Modules
-)
-
 # add definitions
-include(DefineCMakeDefaults)
 include(DefinePlatformDefaults)
-include(DefineCompilerFlags)
-include(DefineInstallationPaths)
 include(DefineOptions.cmake)
 include(CPackConfig.cmake)
+include(CompilerChecks.cmake)
+include(GNUInstallDirs)
 
 # disallow in-source build
 include(MacroEnsureOutOfSourceBuild)
@@ -51,7 +49,7 @@
 add_subdirectory(src)
 
 if (UNIT_TESTING)
-    find_package(CMocka REQUIRED)
+    find_package(cmocka 1.1.0 REQUIRED)
     include(AddCMockaTest)
     add_subdirectory(tests)
 endif (UNIT_TESTING)
@@ -64,7 +62,7 @@
   FILES
     ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper.pc
   DESTINATION
-    ${LIB_INSTALL_DIR}/pkgconfig
+    ${CMAKE_INSTALL_LIBDIR}/pkgconfig
   COMPONENT
     pkgconfig
 )
@@ -77,7 +75,7 @@
         ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config-version.cmake
         ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config.cmake
     DESTINATION
-        ${CMAKE_INSTALL_DIR}/uid_wrapper
+        ${CMAKE_INSTALL_LIBDIR}/cmake/uid_wrapper
     COMPONENT
         devel
 )

=== debian/changelog ===
uid-wrapper (1.2.8-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * Migrate to debhelper-compat, bump to 13.
  * no-soname.diff: Refreshed.
  * docs: Updated.

  [ Sergio Durigan Junior ]
  * d/rules: Modernize it with dh sequencer; use hardening when compiling.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Jan 2021 14:31:52 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

unittest = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,-DUNIT_TESTING=1)

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	$(unittest)

=== debian/tests/control ===
Tests: tests
Depends: libuid-wrapper,
 gcc, libc-dev,
 cmake (>= 2.8.8-3~), make,
 libcmocka-dev,
 netbase
Restrictions: allow-stderr

## uid-wrapper 1.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(uid_wrapper VERSION 1.2.8 LANGUAGES C)
+project(uid_wrapper VERSION 1.2.9 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -23,7 +23,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.0.9")
+set(LIBRARY_VERSION "0.1.0")
 set(LIBRARY_SOVERSION "0")
 
 # add definitions

=== debian/changelog ===
uid-wrapper (1.2.9-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Aug 2022 12:23:27 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Homepage: http://cwrap.org/uid_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: cmake (>= 2.8.8-3~),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest

## uid-wrapper 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(uid_wrapper VERSION 1.2.9 LANGUAGES C)
+project(uid_wrapper VERSION 1.3.0 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -23,7 +23,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.1.0")
+set(LIBRARY_VERSION "0.2.0")
 set(LIBRARY_SOVERSION "0")
 
 # add definitions

=== tests/CMakeLists.txt ===
project(tests C)

add_library(uwrap_fake_socket_wrapper SHARED uwrap_fake_socket_wrapper.c)
target_compile_options(uwrap_fake_socket_wrapper
                       PRIVATE
                           ${DEFAULT_C_COMPILE_FLAGS}
                           -D_GNU_SOURCE)
target_include_directories(uwrap_fake_socket_wrapper
                           PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
set(UWRAP_FAKE_SOCKET_WRAPPER_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}uwrap_fake_socket_wrapper${CMAKE_SHARED_LIBRARY_SUFFIX}")

function(ADD_CMOCKA_TEST_ENVIRONMENT _TEST_NAME)
    if (CMAKE_BUILD_TYPE)
        string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
        if (CMAKE_BUILD_TYPE_LOWER STREQUAL "addresssanitizer")
            find_library(ASAN_LIBRARY
                         NAMES asan)
            if (NOT ASAN_LIBRARY)
                foreach(version RANGE 10 1)
                    if (NOT ASAN_LIBRARY)
                        find_library(ASAN_LIBRARY libasan.so.${version})
                    endif()
                endforeach()
            endif()
        endif()
    endif()

    if (ASAN_LIBRARY)
        list(APPEND PRELOAD_LIBRARIES ${ASAN_LIBRARY})
    endif()
    list(APPEND PRELOAD_LIBRARIES ${UWRAP_FAKE_SOCKET_WRAPPER_LOCATION})
    list(APPEND PRELOAD_LIBRARIES ${UID_WRAPPER_LOCATION})

    if (OSX)
        set(TORTURE_ENVIRONMENT "DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${UID_WRAPPER_LOCATION}")
    else ()
        string(REPLACE ";" ":" _TMP_ENV "${PRELOAD_LIBRARIES}")
        set(TORTURE_ENVIRONMENT "LD_PRELOAD=${_TMP_ENV}")
    endif()

    list(APPEND TORTURE_ENVIRONMENT UID_WRAPPER=1)

    if (CMAKE_BUILD_TYPE)
        string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
        if (CMAKE_BUILD_TYPE_LOWER STREQUAL "addresssanitizer" OR
            CMAKE_BUILD_TYPE_LOWER STREQUAL "threadsanitizer" OR
            CMAKE_BUILD_TYPE_LOWER STREQUAL "undefinedsanitizer")
            list(APPEND TORTURE_ENVIRONMENT "UID_WRAPPER_DISABLE_DEEPBIND=1")
        endif()
    endif()

    foreach(_arg ${ARGN})
        list(APPEND TORTURE_ENVIRONMENT ${_arg})
    endforeach()

    set_property(TEST
                    ${_TEST_NAME}
                PROPERTY
                    ENVIRONMENT "${TORTURE_ENVIRONMENT}")
endfunction()

set(TESTSUITE_LIBRARIES ${UWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})

if (BSD)
    add_definitions(-DBSD)
endif (BSD)

add_executable(mock_exec_uid mock_exec_uid.c)
target_compile_options(mock_exec_uid
                       PRIVATE
                           ${DEFAULT_C_COMPILE_FLAGS}
                           -D_GNU_SOURCE)
target_include_directories(mock_exec_uid
                           PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})

set(UWRAP_UID_TESTS
     test_setuid
     test_seteuid)

if (HAVE_SETREUID)
    list(APPEND UWRAP_UID_TESTS test_setreuid)
endif (HAVE_SETREUID)

if (HAVE_SETRESUID)
    list(APPEND UWRAP_UID_TESTS test_setresuid test_setuid_euid1 test_setuid_euid2)
    if (HAVE_GETRESUID)
        list(APPEND UWRAP_UID_TESTS test_getresuid test_fork_exec)
    endif (HAVE_GETRESUID)
endif (HAVE_SETRESUID)

set(UWRAP_SYSCALL_UID_TESTS
    test_syscall_setuid
    test_syscall_setreuid
    test_syscall_setresuid)

set(UWRAP_GID_TESTS
    test_setgid
    test_setegid)

if (HAVE_SETREGID)
    list(APPEND UWRAP_GID_TESTS test_setregid)
endif (HAVE_SETREGID)

if (HAVE_SETRESGID)
    list(APPEND UWRAP_GID_TESTS test_setresgid)

    if (HAVE_GETRESGID)
        list(APPEND UWRAP_GID_TESTS test_setresgid_unprivileged)
    endif (HAVE_GETRESGID)
endif (HAVE_SETRESGID)

set(UWRAP_TESTS
    ${UWRAP_UID_TESTS}
    ${UWRAP_GID_TESTS}
    test_setgroups
    test_syscall
    test_syscall_swrap
    ${UWRAP_SYSCALL_UID_TESTS}
    test_syscall_gid)

if (HAVE_LINUX_32BIT_SYSCALLS)
    set(UWRAP_TESTS
        ${UWRAP_TESTS}
        test_syscall_setuid32
        test_syscall_setreuid32
        test_syscall_setresuid32
        test_syscall_setgid32
        test_syscall_setregid32
        test_syscall_setresgid32
        test_syscall_setgroups32)
endif (HAVE_LINUX_32BIT_SYSCALLS)

foreach(_UWRAP_TEST ${UWRAP_TESTS})
    add_cmocka_test(${_UWRAP_TEST}
                    SOURCES ${_UWRAP_TEST}.c
                    COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
                    LINK_LIBRARIES ${TESTSUITE_LIBRARIES}
                    LINK_OPTIONS ${DEFAULT_LINK_FLAGS})

    target_include_directories(${_UWRAP_TEST}
                               PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
    add_cmocka_test_environment(${_UWRAP_TEST} UID_WRAPPER_ROOT=1)
endforeach()

# helper library implementing uid_wrapper_enabled()
add_library(uwrap_enabled SHARED uwrap_enabled.c)
target_compile_options(uwrap_enabled
                       PRIVATE
                           ${DEFAULT_C_COMPILE_FLAGS})

add_cmocka_test(test_uwrap_enabled
                SOURCES test_uwrap_enabled.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
                LINK_LIBRARIES ${TESTSUITE_LIBRARIES} uwrap_enabled
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
target_include_directories(test_uwrap_enabled
                           PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
add_cmocka_test_environment(test_uwrap_enabled)

if (NOT CMAKE_BUILD_TYPE_LOWER MATCHES "sanitizer" AND
    NOT CMAKE_CROSSCOMPILING)
    add_cmocka_test(test_uwrap_disabled
                    SOURCES test_uwrap_disabled.c
                    COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
                    LINK_LIBRARIES ${TESTSUITE_LIBRARIES}
                    LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
    target_include_directories(test_uwrap_disabled
                               PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
    set_property(
        TEST
            test_uwrap_disabled
        PROPERTY
            ENVIRONMENT LD_PRELOAD=${UID_WRAPPER_LOCATION})
endif ()

add_cmocka_test(test_thread_setuid
                SOURCES test_thread_setuid.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
                LINK_LIBRARIES ${TESTSUITE_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
target_include_directories(test_thread_setuid
                           PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
add_cmocka_test_environment(test_thread_setuid UID_WRAPPER_ROOT=1 CMOCKA_TEST_ABORT=1)

add_cmocka_test(test_thread_setreuid
                SOURCES test_thread_setreuid.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
                LINK_LIBRARIES ${TESTSUITE_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
target_include_directories(test_thread_setreuid
                           PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
add_cmocka_test_environment(test_thread_setreuid UID_WRAPPER_ROOT=1 CMOCKA_TEST_ABORT=1)

add_cmocka_test(test_thread_sync_setreuid
                SOURCES test_thread_sync_setreuid.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
                LINK_LIBRARIES ${TESTSUITE_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
target_include_directories(test_thread_sync_setreuid
                           PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
add_cmocka_test_environment(test_thread_sync_setreuid UID_WRAPPER_ROOT=1 CMOCKA_TEST_ABORT=1)

add_cmocka_test(test_glibc_thread_support
                SOURCES test_glibc_thread_support.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
                LINK_LIBRARIES ${TESTSUITE_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
target_include_directories(test_glibc_thread_support
                           PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
add_cmocka_test_environment(test_glibc_thread_support UID_WRAPPER_ROOT=1 CMOCKA_TEST_ABORT=1)

if (LINUX)
    add_executable(getuids getuids.c)
    target_compile_options(getuids
                           PRIVATE
                               ${DEFAULT_C_COMPILE_FLAGS}
                               -D_GNU_SOURCE)
endif (LINUX)

=== debian/changelog ===
uid-wrapper (1.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 2.8.8-3~).

 -- Simon Josefsson <simon@josefsson.org>  Sat, 21 Oct 2023 15:50:00 +0200

uid-wrapper (1.3.0-3) unstable; urgency=medium

  * control: Use new pkg-sssd email address.
  * drop-unknown-syscall.diff: Use upstream's patch.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 08 Aug 2023 08:29:54 +0200

uid-wrapper (1.3.0-2) unstable; urgency=medium

  * drop-unknown-syscall.diff: Replaces syscall-unknown-errno.diff to fix
    FTBFS on armel/armhf.
  * use-gnu-lib-names.diff: Add.  Closes: #826906.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 05 Aug 2023 21:00:40 +0200

uid-wrapper (1.3.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * New upstream version.
  * control: Add myself as Uploaders.
  * upstream/metadata: Add.
  * copyright, watch: Drop obj32/ filtering, not needed any more.
  * watch: Add pgpsigurlmangle.
  * upstream/signing-key.asc: Add.
  * control: Standards-Version 4.6.2.
  * control: Rules-Requires-Root: no.
  * copyright: Add myself for debian/*, silencing
    lintian warning update-debian-copyright.
  * no-soname.diff: Mark as Forwarded: not-needed.
  * libuid-wrapper.lintian-overrides: Fix syntax.
  * control: Mark libuid-wrapper as Multi-Arch: same.
  * syscall-unknown-errno.diff: Add.
  * tests: Update LD_PRELOAD sed.  Output errors on failure.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Use canonical URL in Vcs-Browser.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 04 Aug 2023 13:43:30 +0200

=== debian/control ===
Source: uid-wrapper
Homepage: https://cwrap.org/uid_wrapper.html
Section: devel
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
           Simon Josefsson <simon@josefsson.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-buildinfo,
               libcmocka-dev
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/sssd-team/uid-wrapper.git
Vcs-Browser: https://salsa.debian.org/sssd-team/uid-wrapper
Rules-Requires-Root: no

Package: libuid-wrapper
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UID wrapper library
 This is a wrapper for the user, group and hosts NSS API that can
 simulate uid switching as a regular user. This is useful for
 testsuites that run as a regular user but need to test
 privileged functions.
 .
 It works as a preload library, which overrides various
 system functions.

## uid-wrapper 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(uid_wrapper VERSION 1.3.0 LANGUAGES C)
+project(uid_wrapper VERSION 1.3.1 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -23,7 +23,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.2.0")
+set(LIBRARY_VERSION "0.2.1")
 set(LIBRARY_SOVERSION "0")
 
 # add definitions
@@ -68,6 +68,8 @@
 )
 
 # cmake config files
+set(PACKAGE_NAME "uid_wrapper")
+set(PACKAGE_NAME_UPPER "UID_WRAPPER")
 configure_file(uid_wrapper-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config-version.cmake @ONLY)
 configure_file(uid_wrapper-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/uid_wrapper-config.cmake @ONLY)
 install(

=== debian/changelog ===
uid-wrapper (1.3.1-3) unstable; urgency=medium

  [ Helge Deller ]
  * Fix x32 syscall.  Closes: #1087012.

  [ Simon Josefsson ]
  * Run self-test with time_t both as 32 and 64 bit.  Closes: #1086769.
  * tests: Print CC commands.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 09:11:01 +0100

uid-wrapper (1.3.1-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Add d/salsa-ci.yml.
  * Run wrap-and-sort -satbk.

  [ Helge Deller ]
  * Disable time64 transition.  Closes: #1086769.
  * Drop skip-arm-32bit-syscall.patch.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 05 Nov 2024 19:14:25 +0100

uid-wrapper (1.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop upstreamed fix-typo.diff, use-gnu-lib-names.diff,
    drop-unknown-syscall.diff.
  * DEP3ify skip-arm-32bit-syscall.patch.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 09:37:58 +0200

uid-wrapper (1.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian patch skip-arm-32bit-syscall.patch skips gettimeofday
    syscall test in test_syscall on 32-bit ARM (__arm__), since syscall
    __NR_gettimeofday returns tv2.tv_sec=0 on armel, armhf.
    Closes: #1069425.

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jul 2024 12:25:35 +0200

uid-wrapper (1.3.0-5) unstable; urgency=medium

  [ Hefee ]
  * Enable verbose cmake in autopkgtest.

  [ Simon Josefsson ]
  * Bump Standards-Version: to 4.7.0.
  * Fix typo, silencing lintian.
  * Bump copyright years, silencing lintian.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 23 Apr 2024 14:34:54 +0200

=== debian/control ===
Source: uid-wrapper
Homepage: https://cwrap.org/uid_wrapper.html
Section: devel
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders:
 Timo Aaltonen <tjaalton@debian.org>,
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-buildinfo,
 libcmocka-dev,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/sssd-team/uid-wrapper.git
Vcs-Browser: https://salsa.debian.org/sssd-team/uid-wrapper
Rules-Requires-Root: no

Package: libuid-wrapper
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: UID wrapper library
 This is a wrapper for the user, group and hosts NSS API that can
 simulate uid switching as a regular user. This is useful for
 testsuites that run as a regular user but need to test
 privileged functions.
 .
 It works as a preload library, which overrides various
 system functions.

## uid-wrapper 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # Required cmake version
-cmake_minimum_required(VERSION 3.5.0)
-cmake_policy(SET CMP0048 NEW)
+cmake_minimum_required(VERSION 3.10.0)
 
 # Specify search path for CMake modules to be loaded by include()
 # and find_package()
@@ -11,7 +10,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(uid_wrapper VERSION 1.3.1 LANGUAGES C)
+project(uid_wrapper VERSION 1.3.2 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -23,7 +22,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.2.1")
+set(LIBRARY_VERSION "0.2.2")
 set(LIBRARY_SOVERSION "0")
 
 # add definitions

=== doc/CMakeLists.txt ===
install(FILES
            uid_wrapper.1
        DESTINATION
            ${CMAKE_INSTALL_MANDIR}/man1)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 project(tests C)
+
+if (TARGET cmocka::cmocka)
+    set(CMOCKA_LIBRARY cmocka::cmocka)
+endif()
 
 add_library(uwrap_fake_socket_wrapper SHARED uwrap_fake_socket_wrapper.c)
 target_compile_options(uwrap_fake_socket_wrapper

=== debian/changelog ===
uid-wrapper (1.3.2-1) unstable; urgency=medium

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Simon Josefsson ]
  * New upstream version 1.3.2
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 15:46:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
- dh-buildinfo,
  libcmocka-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/sssd-team/uid-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/uid-wrapper
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=-time64
 
 %:
 	dh $@

=== debian/tests/control ===
Tests:
 tests,
Depends:
 cmake (>= 2.8.8-3~),
 gcc,
 libc-dev,
 libcmocka-dev,
 libuid-wrapper,
 make,
 netbase,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://ftp.samba.org/pub/cwrap/ \
uid_wrapper-@ANY_VERSION@@ARCHIVE_EXT@
